# module MultiTkIp_PseudoToplevel_Evaluable

dummy

### Public Class Methods

extended(mod) click to toggle source

    # File lib/multi-tk.rb, line 2058
    def self.extended(mod)
      mod.__send__(:extend_object, mod)
      mod.instance_variable_set('@pseudo_toplevel_evaluable', true)
    end

### Public Instance Methods

pseudo_toplevel_evaluable=(mode) click to toggle source

    # File lib/multi-tk.rb, line 2054
    def pseudo_toplevel_evaluable=(mode)
      @pseudo_toplevel_evaluable = (mode)? true: false
    end

pseudo_toplevel_evaluable?() click to toggle source

def pseudo_toplevel_eval(body = Proc.new)

    Thread.current[:TOPLEVEL] = self
    begin
      body.call
    ensure
      Thread.current[:TOPLEVEL] = nil
    end

end

    # File lib/multi-tk.rb, line 2050
    def pseudo_toplevel_evaluable?
      @pseudo_toplevel_evaluable
    end